using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Sentience
{
    /// <summary>
    /// Special Panel control for showing the map.
    /// </summary>
    public partial class DisplayPanel : Panel
    {
        public DisplayPanel()
        {
            InitializeComponent();
            this.SetStyle(ControlStyles.DoubleBuffer |
                        ControlStyles.UserPaint |
                        ControlStyles.AllPaintingInWmPaint,
                        true);

            this.UpdateStyles();
        }
    }
}
